# Class DatalinkCode.Doc

java.lang.Object
uk.ac.starlink.ttools.taplint.DatalinkCode.Doc

Enclosing class:
  `DatalinkCode`

public static class DatalinkCode.Doc extends Object
Enumerates standards documents. This makes it definite what specifications the error codes are referring to.

Since:
  27 Nov 2017
Author:
  Mark Taylor

## Field Summary

Fields
Modifier and Type
Field
Description
`static final DatalinkCode.Doc`
`DALI`
`static final DatalinkCode.Doc`
`DATALINK`
`static final DatalinkCode.Doc`
`DATALINK11`
`static final DatalinkCode.Doc`
`RFC2045`
`static final DatalinkCode.Doc`
`VOTABLE`

## Constructor Summary

Constructors
Constructor
Description
`Doc(String name, String url)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Returns this document's name.
`URL`
`getUrl()`
Returns a URL to the content of this document.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DATALINK

public static final DatalinkCode.Doc DATALINK

### DATALINK11

public static final DatalinkCode.Doc DATALINK11

### DALI

public static final DatalinkCode.Doc DALI

### VOTABLE

public static final DatalinkCode.Doc VOTABLE

### RFC2045

public static final DatalinkCode.Doc RFC2045

## Constructor Details

### Doc

public Doc(String name, String url)
Constructor.

Parameters:
  `name` - short designation of document, including version number if appropriate

## Method Details

### getName

public String getName()
Returns this document's name.

Returns:
  short name designation, including version string if appropriate

### getUrl

public URL getUrl()
Returns a URL to the content of this document.

Returns:
  document URL